/*
 *
 *   This file is part of BingDownloader.
 *
 *   BingDownloader is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   BingDownloader is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with BingDownloader.  If not, see <http://www.gnu.org/licenses/>.
 *
 *   (c) 2012 Sebastian Bota (sebastian.bota@live.com)
 */

#include "qbingimagedata.h"

QBingImageData::QBingImageData(QString imageUrl, QString imageDescription)
{
   m_ImageUrl = QString(imageUrl);
   m_imageDescription = QString(imageDescription);
}

QString QBingImageData::getImageURL()
{
    return m_ImageUrl;
}

QString QBingImageData::getImageDescription()
{
    return m_imageDescription;
}

QString QBingImageData::getImageName()
{
    QString imageURL(getImageURL());
    QString search("rb%2f");
    return imageURL.mid(imageURL.indexOf(search)+search.length (),imageURL.length());

}
