/*
 *
 *   This file is part of BingDownloader.
 *
 *   BingDownloader is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   BingDownloader is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with BingDownloader.  If not, see <http://www.gnu.org/licenses/>.
 *
 *   (c) 2012 Sebastian Bota (sebastian.bota@live.com)
 */

#ifndef QBINGIMAGEDATA_H
#define QBINGIMAGEDATA_H
#include <QString>

class QBingImageData
{
public:
    QBingImageData(QString imageUrl, QString imageDescription);
    QString getImageURL();
    QString getImageDescription();
    QString getImageName();
private:
    QString m_ImageUrl;
    QString m_imageDescription;
};

#endif // QBINGIMAGEDATA_H
